(* Abstract Syntax Tree, printing functions *)


(* Authors: Sarah Walker, Hannah Pierce-Hoffman, Kundan Guha *)

type op = And | Or

type arg =
  Name of string
| Bool of bool

type expr = 
  Prim of op * arg * arg (* Oper, In1, In2 *)
| Neg of arg (* In1 (unary) *)

type stmt = 
Expr of string * expr

type program = Program of string * string list * stmt list * string list
